Index: other-projects/nz-flag-design/trunk/index.html
===================================================================
--- other-projects/nz-flag-design/trunk/index.html	(revision 29792)
+++ other-projects/nz-flag-design/trunk/index.html	(revision 29797)
@@ -45,8 +45,116 @@
 
 
-	    <p>Welcome to ...
-	      Lorem ipsum dolor sit amet, consectetur adipiscing elit,
- 	      sed do eiusmod tempor incididunt ut labore et dolore
- 	      magna aliqua.
+	    <p>
+              What the flag for New Zealand will look like in the
+	      future has become the topic of much debate in the
+	      country, now the Prime Minister, John Key, has scheduled
+	      a binding referendum on the matter.
+	    </p>
+
+	    <p>
+	      Here at
+	      the University of Waikato's
+	      <a target="_blank" href="http://cosi.cms.waikato.ac.nz">Centre for Open Source Innovation</a>
+	      <a target="_blank" href="http://cosi.cms.waikato.ac.nz">(COSI)</a>,
+	      we've put together a web-browser based tool that let's
+	      you try out your ideas for an alternative.
+	    </p>
+	    
+	    <style>
+	      ul.infopage {
+	        font-size: 250%; 
+	        padding: 8px; 
+	        background: none; 
+	        border: none;
+	      }
+
+	      ul.infopage li {
+	        border: none;
+	        list-style:disc outside none; 
+	      }
+
+	    </style>
+	    <p>
+	      In the steps that follow you will be asked to:
+	    </p>
+	    <ul class="infopage">
+		<li>
+		  1. Choose a width and height for your flag (not all
+		  flags in the world are the same size).
+		</li>
+		<li>
+		  2. Select a colour palette to work from (modest sized
+		  with distinct colours recommended).
+		</li>
+		<li>
+		  3. Interact with 2D paint application (primed with your
+		  previous choices) in which you develop your idea.
+		</li>
+		<li>
+		  4. See your flag flying on top of the Beehive in a 3D simulation.
+		</li>
+	    </ul>
+
+	    <p>
+	      We've also added in a flag similarity feature, so you can check how
+	      similar your flag design is compared with other countries.
+	      After all, a key impetus for considering a replacement flag
+	      is that we want to stop people mixing us up with Australia,
+	      and we wouldn't want to end up with the same situation happening again
+	      with another country's flag!
+<!--
+	      Guided by principles of good flag deisgned, through this
+              site you will be asked to choose a width and height for
+              your flag (not all flags in the world are the same
+              size), and a colour palette to work from (modest sized
+              with distinct colours recommended).  Then you will
+	      be presented with a 2D paint application (primed with your
+	      previous choices) in which you design your flag.  
+             
+-->
+<!--
+              from <a href="http://en.wikipedia.org/wiki/Vexillology">Vexilloloy</a> 
+	      (the scholarly study of flags)
+	      study flags), 
+-->
+	      
+<!--
+	      part of	      
+
+
+	      we've put
+
+	      the <a href="http://cosi.cms.waikato.ac.nz">Centre for Open Source Innovation</a>
+	      <a href="http://cosi.cms.waikato.ac.nz">(COSI)</a>, part of	      
+	      the <a href="http://www.cs.waikato.ac.nz">Computer Science Department</a> at		
+	      the <a href="http://www.waikato.ac.nz">University of Waikato</a> we've put
+	      together a web-browser based tool that let's people try out their ideas.
+
+	      Not being flag designers ourselves, we're read up
+	      on <a href="http://en.wikipedia.org/wiki/Vexillology">Vexillology</a>
+	      (the scientific study of flag design) and put the principles
+
+	
+
+	      Guided by the principles of good flag design
+
+	      Informed by the principles of good flag design, th
+
+http://www.flaginstitute.org/wp/about-us/about-vexillology/
+
+
+http://en.wikipedia.org/wiki/International_Federation_of_Vexillological_Associations
+
+from the study of flag deisgn
+
+
+, guided by flag design 
+	      principals
+	      
+	      
+	      Being
+-->
+
+
 	    </p>
 