Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ar.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ar.properties	(revision 29824)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ar.properties	(revision 29825)
@@ -1,26 +1,70 @@
-gsdl=ØšØ±ÙØ§Ù
+#***** IMAGE URLS *****
+
+#***** TEXT FRAGMENTS *****
+gsdl:ØšØ±ÙØ§Ù
 Ø¬ Ø§ÙÙ
 ÙØªØšØ© Ø§ÙØ±ÙÙ
 ÙØ© Greenstone
-home_b=Ø§ÙØ±ØŠÙØ³ÙØ©
-help_b=Ù
+# the buttons
+home_b:Ø§ÙØ±ØŠÙØ³ÙØ©
+help_b:Ù
 Ø³Ø§Ø¹Ø¯Ø©
-pref_b=Ø§ÙØ®ÙØ§Ø±Ø§Øª
-home_tip=Ø§ÙØµÙØ­Ø© Ø§ÙØ±ØŠÙØ³ÙØ©
-help_tip=ØµÙØ­Ø© Ø§ÙÙ
+pref_b:Ø§ÙØ®ÙØ§Ø±Ø§Øª
+# tool tips for the buttons
+home_tip:Ø§ÙØµÙØ­Ø© Ø§ÙØ±ØŠÙØ³ÙØ©
+help_tip:ØµÙØ­Ø© Ø§ÙÙ
 Ø³Ø§Ø¹Ø¯Ø©
-pref_tip=ØªØºÙÙØ± Ø§ÙØ®ÙØ§Ø±Ø§Øª
-aboutpage=Ø¹Ù ÙØ°Ù Ø§ÙÙ
+pref_tip:ØªØºÙÙØ± Ø§ÙØ®ÙØ§Ø±Ø§Øª
+aboutpage:Ø¹Ù ÙØ°Ù Ø§ÙÙ
 Ø¬Ù
 ÙØ¹Ø©
-query.nodocsmatch=ÙØ§ ØªÙØ¬Ø¯ ÙØ«Ø§ØŠÙ ØªØ·Ø§ØšÙ Ø§ÙØšØ­Ø«
-query.onedocsmatch=ÙØ«ÙÙØ© ÙØ§Ø­Ø¯Ø© ØªØ·Ø§ØšÙ Ø§ÙØšØ­Ø«
-pref.searchpref=Ø®ÙØ§Ø±Ø§Øª Ø§ÙØšØ­Ø«
-pref.prespref=Ø®ÙØ§Ø±Ø§Øª Ø§ÙØ¹Ø±Ø¶
-pref.interfacelang=ÙØºØ© ÙØ§Ø¬ÙØ© Ø§ÙØ§Ø³ØªØ®Ø¯Ø§Ù
+
+######################
+# system page
+#######################
+######################
+# about page
+#######################
+
+#######################
+# query page
+########################
+query.nodocsmatch:ÙØ§ ØªÙØ¬Ø¯ ÙØ«Ø§ØŠÙ ØªØ·Ø§ØšÙ Ø§ÙØšØ­Ø«
+query.onedocsmatch:ÙØ«ÙÙØ© ÙØ§Ø­Ø¯Ø© ØªØ·Ø§ØšÙ Ø§ÙØšØ­Ø«
+
+
+# eg Displaying 1 to 20 of 42 sections/documents
+
+
+##################
+# prefs page
+##################
+pref.searchpref:Ø®ÙØ§Ø±Ø§Øª Ø§ÙØšØ­Ø«
+pref.prespref:Ø®ÙØ§Ø±Ø§Øª Ø§ÙØ¹Ø±Ø¶
+pref.interfacelang:ÙØºØ© ÙØ§Ø¬ÙØ© Ø§ÙØ§Ø³ØªØ®Ø¯Ø§Ù
 :
-pref.encoding=ÙØžØ§Ù
+pref.encoding:ÙØžØ§Ù
  Ø§ÙØªØ±Ù
 ÙØ²
-pref.all=ÙÙ
-pref.set_prefs=Ø¶ØšØ· Ø§ÙØ®ÙØ§Ø±Ø§Øª
+pref.all:ÙÙ
+pref.set_prefs:Ø¶ØšØ· Ø§ÙØ®ÙØ§Ø±Ø§Øª
+
+##################
+# document page
+##################
+
+
+
+
+
+
+
+##################
+# authentication page
+##################
+
+
+
+###################
+# Document basket #
+###################
Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_ar.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_ar.properties	(revision 29824)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_ar.properties	(revision 29825)
@@ -4,5 +4,5 @@
 Ù ÙØ¶ÙÙ Ø§Ø®ØªØ± Ø§ÙÙØºØ© Ø§ÙÙ
 ÙØ¶ÙØ© ÙØ¯ÙÙ
-# (Note\: This installer has not been fully translated into all these languages yet)
+# (Note: This installer has not been fully translated into all these languages yet)
 
 
@@ -73,5 +73,5 @@
 
 ### Components Page ###
-# (Note\: in the html here, we must use '<br>' for breaklines.
+# (Note: in the html here, we must use '<br>' for breaklines.
 # '<br/>' and other variations are not recognised.)
 page.selector.displayText:Ù
@@ -256,7 +256,9 @@
 Ø¬ ÙØ¬Ø±ÙÙØ³ØªÙÙ Ø§Ù \n  http\://www.greenstone.org
 
-### Admin password page '
+### Admin password page
 
 page.admin-pages.displayText:ØµÙØ­Ø§Øª Ø§ÙØ§Ø¯Ø§Ø±Ø©
+
+## GS2
 admin-expl.displayText:ØµÙØ­Ø§Øª Ø§ÙØ¥Ø¯Ø§Ø±Ø© Ù
 Ù ÙØ§Ø¬ÙØ© Ø¬Ø±ÙÙØ³ØªÙÙ ØªØ³Ù
@@ -295,4 +297,30 @@
 enable.admin.pages.displayText:ØªÙ
 ÙÙÙ ØµÙØ­Ø§Øª Ø§ÙØ§Ø¯Ø§Ø±Ø©
+
+## GS3
+admin3-expl.displayText:ØªØªÙØ­ ØµÙØ­Ø§Øª ÙØ§Ø¬ÙØ© Ø§Ø¯Ø§Ø±Ø© Ø¬Ø±ÙÙØ³ØªÙÙ Ø Ø§Ø¯Ø§Ø±Ø© ÙØ§Ø¹Ø¯Ø© ØšÙØ§ÙØ§Øª Ø§ÙÙ
+Ø³ØªØ®Ø¯Ù
+ÙÙ Ù ØªÙ
+ÙÙÙ Ø§Ø¯Ø§Ø© ØªØ­Ø¯ÙØ« Ø§ÙØšØ±ÙØ§Ù
+Ø¬ Ø§ÙØªØ­Ø¯ÙØ« ØšØŽÙÙ Ù
+Ø±ØŠÙ ÙØ­Ø§ÙØ§Øª ØšÙÙØ© Ø§ÙØ¹Ø±Ø¶ Ù Ø§ÙØªØ­Ø¯ÙØ« Ù
+Ù Ø®ÙØ§Ù Ø§ÙÙ
+ØªØµÙØ­ ÙÙÙÙÙ Ù Ù
+Ø­ØªÙÙ Ø§ÙÙØ«Ø§ØŠÙ.
+admin3-expl-2.displayText:ÙÙ ØªØ±ØºØš ÙÙ Ø§Ø¹Ø¯Ø§Ø¯ ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± ÙØµÙØ­Ø§Øª Ø§Ø¯Ø§Ø±Ø© Ø¬Ø±ÙÙØ³ØªÙÙ Ø§ÙØ¢ÙØ (Ø³ÙÙ ÙØªÙ
+ Ø§Ø³ØªÙØ³Ø§Ø±Ù Ø¹Ù ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± ÙÙ Ø§ÙØµÙØ­Ø© Ø§ÙØªØ§ÙÙØ©.)
+admin3-expl-3.displayText:ÙÙ ÙØ°Ù Ø§ÙØ­Ø§ÙØ© Ø Ø³ÙÙ ÙØ¹Ø¯ Ø­Ø³Ø§Øš ØšÙÙÙ
+Ø© Ù
+Ø±ÙØ± ÙÙÙ
+Ø¯ÙØ±.ÙØ¬Øš ØªØ¹Ø¯ÙÙ ÙØ°Ø§ Ø­Ø§ÙØ§ ÙÙ Ø§ÙØµÙØ­Ø© Ø§ÙØ±ØŠÙØ³ÙØ© ÙÙÙ
+ÙØªØšØ©.
+set.admin.pwd.displayText:Ø§Ø¹Ø¯Ø§Ø¯ ÙÙÙ
+Ø© Ù
+Ø±ÙØ± Ø§ÙÙ
+Ø¯ÙØ± Ø§ÙØ¢Ù.
 
 page.admin-password.displayText:ÙØ±Ø¬Ù ØªØ­Ø¯ÙØ¯ ÙÙÙ