Index: main/trunk/gli/help/ar/help.xml
===================================================================
--- main/trunk/gli/help/ar/help.xml	(revision 29823)
+++ main/trunk/gli/help/ar/help.xml	(revision 29826)
@@ -1698,24 +1698,33 @@
 Ø¬Ù
 ÙØ¹Ø©0</Text>
-<Text id="106">Ø¥Ø°Ø§ ÙØ§ÙØª ÙØ§ØµÙØ§Øª  Ø§ÙØšÙØ§ÙØ§Øª ÙÙ ØŽÙÙ Ù
+<Text id="106">Ø¥Ø°Ø§ ØªÙ
+ ØªØ¹ÙÙÙ ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª ÙÙØ«ÙÙÙ ÙÙ ØŽÙÙ Ù
 Ø¹Ø±ÙÙ ÙÙØ§Ø¬ÙØ© Ø§ÙÙ
-ÙØªØšÙ ÙØªÙ
- ØªØ¹ÙÙÙÙØ§ Ù
-Ù ÙØšÙ ÙÙ
-ÙÙ â Ù
-Ø«Ø§ÙØ Ø¹ÙØ¯Ù
+ÙØªØšÙ ( Ù
+Ø«Ø§ÙØÙÙ Ù
+ÙÙ metadata.xml ÙÙ ÙÙØ³ Ø§ÙÙ
+Ø¬ÙØ¯ ÙÙØ«ÙÙÙ) Ø¹ÙÙ Ø³ØšÙÙ Ø§ÙÙ
+Ø«Ø§Ù Ø Ø¹ÙØ¯Ù
 Ø§  ØªØ®ØªØ§Ø± ÙØ«ÙÙØ© Ù
 Ù Ù
 Ø¬Ù
 ÙØ¹Ø© Ù
-ÙØ¬ÙØ¯Ø© ÙÙ ÙØ±ÙÙØ³ØªÙÙ00 ÙØªÙ
- Ø§Ø³ØªÙØ±Ø§Ø¯ÙØ§ ØªÙÙØ§ØŠÙØ§Ù Ø¹ÙØ¯ Ø§Ø¶Ø§ÙØ© Ø§ÙÙ
-ÙÙ ÙØ¹Ù
-Ù ÙØ°Ø§ Ø§ÙØ§Ø¬Ø±Ø§Ø¡Ø ÙØ¬Øš ØªØ®Ø·ÙØ·ÙØ§  ÙÙÙØ§Ù ÙÙ
+ÙØ¬ÙØ¯Ø© ÙÙ Ø¬Ø±ÙÙØ³ØªÙÙ-- ÙØªÙ
+ Ø§Ø³ØªÙØ±Ø§Ø¯ÙØ§ ØªÙÙØ§ØŠÙØ§Ù Ø¹ÙØ¯ Ø§Ø¶Ø§ÙØ© Ø§ÙÙØ«ÙÙÙ ÙÙ
+Ø¬Ù
+ÙØ¹Ø© (Ø¬Ø¯ÙØ¯Ø©)ÙØªØ¹Ø±Ù Ø¬Ø±ÙÙØ³ØªÙÙ Ø¹ÙÙ Ù
+ÙÙ metadata.xml (ÙØ§ ØªØ­ØªØ§Ø¬ ÙØ§Ø¶Ø§ÙØ© ÙØ°Ø§ Ø§ÙÙ
+ÙÙ Ø§ÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©) Ù ÙØ¹Ù
+Ù ØªÙÙØ§ØŠÙØ§ Ø§Ø³ØªÙØ±Ø§Ø¯ ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª .</Text>
+<Text id="107">ÙØ§Ø³ØªÙØ±Ø§Ø¯ ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª Ø ÙØ¬Øš Ø£Ù ÙØªÙ
+ ØªØ®Ø·ÙØ·  ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª ÙÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª ÙÙÙØ§ ÙÙ
 Ø¹Ø§ÙÙØ± ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª Ø§ÙÙ
-ÙØ¬ÙØ¯Ø© ÙÙ Ø§ÙÙ
-Ø¬Ù
-ÙØ¹Ø©0</Text>
-<Text id="107">ÙÙÙÙ
+ØªØ§Ø­Ø© ÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© . ÙÙÙÙ
  ÙØ§Ø¬ÙØ© Ø§ÙÙ
 ÙØªØšÙ ØšØ­Ø«Ù ÙØªÙÙÙØ± Ø§ÙÙ
@@ -1730,11 +1739,11 @@
 Ø§ ÙÙ ÙÙ Ø§ÙÙ
 ÙÙ Ø§ÙÙ
-ØµØ¯Ø±0 ÙÙØ°Ø§ Ø§ÙØ­ÙÙ ÙØ§ ÙÙ
-ÙÙ ØªØ­Ø¯ÙØ«Ù Ø£Ù ØªØºÙØ±Ù0  ÙÙ
+ØµØ¯Ø±Ø ÙÙØ°Ø§ Ø§ÙØ­ÙÙ ÙØ§ ÙÙ
+ÙÙ ØªØ­Ø¯ÙØ«Ù Ø£Ù ØªØºÙØ±ÙØ  ÙÙ
  ØšØ§Ø®ØªÙØ§Ø± Ù
 Ø¹ÙØ§Ø± ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª Ø§ÙØ°Ù ØªÙØ¯ ØªØ®Ø·ÙØ· Ø§ÙØ¹ÙØµØ± Ø§ÙØ¬Ø¯ÙØ¯ ØšÙØ ÙÙÙÙ
  Ø§ÙÙØžØ§Ù
   ØªÙÙØ§ØŠÙØ§Ù ØšØ§Ø®ØªÙØ§Ø± Ø§ÙØ§ÙØ±Øš ÙÙÙ
-Ø¹ÙØ§Ø± ÙØ§ÙØ¹ÙØµØ± ÙÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª Ø§ÙØ¬Ø¯ÙØ¯Ø©0</Text>
+Ø¹ÙØ§Ø± ÙØ§ÙØ¹ÙØµØ± ÙÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª Ø§ÙØ¬Ø¯ÙØ¯Ø©.</Text>
 <Text id="108">ØšØ¹Ø¯ ÙØ­Øµ Ø§ÙØªØ®Ø·ÙØ·Ø ÙÙÙ
 ÙÙÙ Ø§Ø®ØªÙØ§Ø± "Ø§Ø¶Ø§ÙØ©" ÙØ§Ø¶Ø§ÙØ© Ø¹ÙØµØ± ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª ÙÙ
@@ -2249,10 +2258,10 @@
 Ø±ØŽØ­Ø§Øª Ù
 Ø¬Ù
-ÙØ¹Ø§Øª ÙØ±Ø¹ÙÙ0 ÙØªÙ
+ÙØ¹Ø§Øª ÙØ±Ø¹ÙÙ. ÙØªÙ
  ØªØ­Ø¯ÙØ¯ Ø§ÙÙ
 Ø¬Ù
 ÙØ¹Ø§Øª Ø§ÙÙØ±Ø¹ÙÙ ÙÙ <AutoText key="glidict::CDM.SubcollectionManager.Subindex_Controls"/>, ØšÙØ§Ø¡Ø§Ù Ø¹ÙÙ Ø§ÙÙ
 Ø±ØŽØ­Ø§Øª Ø§ÙØªÙ ÙÙ
-Øª ØšØªØ¹Ø±ÙÙÙØ§0</Text>
+Øª ØšØªØ¹Ø±ÙÙÙØ§.</Text>
 </Section>
 <Section name="assignpartitions">