Index: /main/trunk/release-kits/shared/core/language-strings/LanguagePack_hy.properties
===================================================================
--- /main/trunk/release-kits/shared/core/language-strings/LanguagePack_hy.properties	(revision 29828)
+++ /main/trunk/release-kits/shared/core/language-strings/LanguagePack_hy.properties	(revision 29828)
@@ -0,0 +1,104 @@
+### Language page ###
+# (Note: This installer has not been fully translated into all these languages yet)
+
+
+### Intro Page ###
+
+## License page ###
+
+
+### Destination page ###
+
+
+### InstallShield install detected page ###
+
+
+### Components Page ###
+# (Note: in the html here, we must use '<br>' for breaklines.
+# '<br/>' and other variations are not recognised.)
+
+Looking_For_Previous_Installation.displayText:ÕÕ¶Õ¿ÖÕ«Ö Õ¶Õ¡Õ­ÕžÖÕ€ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕžÖÕŽÕ¶Õ¥ÖÕš
+Looking_For_Previous_Installation.explanatoryText:ÔµÕ©Õ¥ ÕœÕ¡ ÕŸÕ¥ÖÕ¡Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕžÖÕŽ Õ§, Õ¢Õ¥ÕŒÕ¶Õ¡ÕŸÕžÖÕ«Ö Õ¡ÕŒÕ¯Õ¡ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕŽÕ¡Õ¶ ÕžÖÕžÕ· Õ°Õ¡Õ¿Õ¯ÕžÖÕ©ÕµÕžÖÕ¶Õ¶Õ¥ÖÕš Õ¡Õ»Õ¡Õ¯ÖÕ¥Õ¬ÕžÖ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕŽÕ¡Õ¶ÕšÖ
+
+### EXT ###
+Installing_AMP.displayText:Apache HTTPD (2.2.15), MySQL (5.1.47) Ö PHP (5.3.2)
+Installing_AMP.explanatoryText:<html>Ô±ÕµÕœ Õ¢Õ¡Õ²Õ¯Õ¡ÖÕžÖÖÕ«Õ¹Õš Õ¯Õ¿Õ¥Õ²Õ¡Õ€ÖÕ« Apache HTTPD ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶Õš, Õ¬ÖÕ¡ÖÕŸÕ¡Õ® MySQL (Õ·Õ¿Õ¥ÕŽÕ¡ÖÕ¡Õ¶Õ« Õ°Õ¡ÕŽÕ¡Õ¯Õ¡ÖÕ£) Ö PHP (Õ®ÖÕ¡Õ£ÖÕ¡ÕŸÕžÖÕŽÕ¡Õ¶ Õ¬Õ¥ÕŠÕžÖ ÕžÖ Ö
+Õ£Õ¿Õ¡Õ£ÕžÖÕ®ÕŸÕžÖÕŽ Õ§ Õ¯Õ¡ÕµÕ¡Õ¶Õ« Õ¯ÕžÕ€Õ¡ÕŸÕžÖÕŽÕ¡Õ¶ Õ°Õ¡ÕŽÕ¡Ö)Ö</html>
+### /EXT ###
+
+Installing_Core_System.displayText:ÕÕ«Õ»ÕžÖÕ¯Õ« Õ°Õ¡ÕŽÕ¡Õ¯Õ¡ÖÕ£
+Installing_Core_System.explanatoryText:<html>ÕÕ¡ ÕŽÕ«Õ»ÕžÖÕ¯ Greenstone@version.major@ Õ°Õ¡ÕŽÕ¡Õ¯Õ¡ÖÕ£Õ¶ Õ§Ö Ô±ÕµÕ¶ ÕºÕ¡Õ°Õ¡Õ¶Õ»ÕŸÕžÕ² Õ¢Õ¡Õ²Õ¡Õ€ÖÕ«Õ¹ Õ§Ö</html>
+
+Installing_Source_Code_Core.displayText:ÕÕ¯ÕŠÕ¢Õ¶Õ¡Õ¯Õ¡Õ¶ Õ¯ÕžÕ€Õ« ÕŽÕ«Õ»ÕžÖÕ¯
+Installing_Source_Code_Core.explanatoryText:<html>ÕÕ¡ ÕŽÕ«Õ»ÕžÖÕ¯ Greenstone@version.major@ Õ°Õ¡ÕŽÕ¡Õ¯Õ¡ÖÕ£Õ¶ Õ§ Õ°Õ«ÕŽÕ¶Õ¡Õ¯Õ¡Õ¶ Õ«ÖÕ¡Õ¯Õ¡Õ¶Õ¡ÖÕŽÕ¡Õ¶ Õ°Õ¡ÕŽÕ¡ÖÖ <br>\nÔ±ÕµÕ¶ Õ¶Õ¥ÖÕ¡ÕŒÕžÖÕŽ Õ§ Õ¡Õ»Õ¡Õ¯ÖÕžÕ² ÖÕ¡ÕµÕ¬Õ¥Ö ÕžÖÕºÕ¥ÕœÕŠÕ« ÕžÖÕ²Õ¥Õ¯ÖÕ« ÕœÕ¯ÕŠÕ¢Õ¶Õ¡Õ¯Õ¡Õ¶ Õ¯ÕžÕ€ÕšÖ </html>
+
+Installing_Source_Code.displayText:ÕÕ¯ÕŠÕ¢Õ¶Õ¡Õ¯Õ¡Õ¶ Õ¯ÕžÕ€
+Installing_Source_Code.explanatoryText:<html>ÕÕ¥Õ²Õ¡Õ€ÖÕ« ÕœÕ¯ÕŠÕ¢Õ¶Õ¡Õ¯Õ¡Õ¶ Õ¯ÕžÕ€Õš Õ¥Õ©Õ¥ ÖÕ¡Õ¶Õ¯Õ¡Õ¶ÕžÖÕŽ Õ¥Õœ Õ¯Õ¡ÕŠÕŽÕ¥Õ¬ Greenstone@version.major@ <br>\nÕ«Õ¶ÖÕ€, Õ¯Õ¡Õ¿Õ¡ÖÕ« Õ±ÖÕ¡ÖÕžÕ­ÕžÖÕŽÕ¶Õ¥Ö Greenstone@version.major@ ÖÕž Ö
+ÖÕ«Õ¶Õ¡Õ¯ÕžÖÕŽ, Õ¯Õ¡ÕŽ Õ¥Õ©Õ¥<br>\nÕ€ÕžÖ ÕºÕ¡ÖÕŠÕ¡ÕºÕ¥Õœ ÖÕ¡Õ¶Õ¯Õ¡Õ¶ÕžÖÕŽ Õ¥Õœ Õ¿Õ¥ÕœÕ¶Õ¥Õ¯ Õ©Õ¥ Õ«Õ¶Õ¹ÕºÕ¥Õœ Õ§ Õ¡ÕµÕ¶ Õ¡Õ·Õ­Õ¡Õ¿ÕžÖÕŽÖ</html>
+
+Installing_ImageMagick.displayText:ImageMagick (@bundled.version.imagemagick@)
+Installing_ImageMagick.explanatoryText:Greenstone-Õš Ö
+Õ£Õ¿Õ¡Õ£ÕžÖÕ®ÕžÖÕŽ Õ§ ImageMagick ÕºÕ¡Õ¿Õ¯Õ¥ÖÕ¶Õ¥ÖÕ« ÕŽÕ·Õ¡Õ¯ÕŽÕ¡Õ¶ Õ°Õ¡ÕŽÕ¡ÖÖ\n\nImageMagick-Õ« ÕŽÕ«Õ¡ÕŸÕžÖÕŸÕ¡Õ® Õ¿Õ¡ÖÕ¢Õ¥ÖÕ¡Õ¯Õš Õ¶Õ¥ÖÕ¡ÕŒÕžÖÕŽ Õ§ Õ¡Õ»Õ¡Õ¯ÖÕžÖÕ©ÕµÕžÖÕ¶ JPEG2000 ÕºÕ¡Õ¿Õ¯Õ¥ÖÕ«\nÕ±ÖÕ¡ÕŒÕ¡ÖÕ«Õ¶Ö ÔµÕ©Õ¥ Õ€ÕžÖ ÕžÖÕ¶Õ¥Õœ ImageMagick ÖÕž Õ°Õ¡ÕŽÕ¡Õ¯Õ¡ÖÕ£Õ¹ÕžÖÕŽ, Õ¯Õ¡ÕŽ Õ¥Õ©Õ¥ Õ€ÕžÖ Õ¹Õ¥Õœ ÖÕ¡Õ¶Õ¯Õ¡Õ¶ÕžÖÕŽ\nÕ¶Õ¥ÖÕ¡ÕŒÕ¥Õ¬ ÕºÕ¡Õ¿Õ¯Õ¥ÖÕ¶Õ¥ÖÕš Greenstone Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕžÖÕŽ, Õ€ÕžÖ Õ¯Õ¡ÖÕžÕ² Õ¥Õœ ÕšÕ¶Õ¿ÖÕ¥Õ¬ \nÕ¹Õ¿Õ¥Õ²Õ¡Õ€ÖÕ¥Õ¬ ImageMagick-ÕšÖ
+
+Installing_Ghostscript.displayText:GhostScript (@bundled.version.ghostscript@)
+Installing_Ghostscript.explanatoryText:Greenstone-Õš Ö
+Õ£Õ¿Õ¡Õ£ÕžÖÕ®ÕžÖÕŽ Õ§ GhostScript ÕžÖÕºÕ¥ÕœÕŠÕ« Õ¯Õ¡Õ¿Õ¡ÖÕ« PDF Ö PostScript ÖÕ¡ÕµÕ¬Õ¥ÖÕšÖ\n\n ÔµÕ©Õ¥ Õ€ÕžÖ ÖÕž Õ°Õ¡ÕŽÕ¡Õ¯Õ¡ÖÕ£Õ¹ÕžÖÕŽ ÕžÖÕ¶Õ¥Õœ Ghostscript, Õ¯Õ¡ÕŽ Õ¥Õ©Õ¥ Õ€ÕžÖ Õ¹Õ¥Õœ ÖÕ¡Õ¶Õ¯Õ¡Õ¶ÕžÖÕŽ \nÕ¶Õ¥ÖÕ¡ÕŒÕ¥Õ¬ PDF Õ¯Õ¡ÕŽ PostScript ÖÕ¡ÕµÕ¬Õ¥ÖÕš Greenstone Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ¶Õ¥ÖÕžÖÕŽ, Õ¡ÕºÕ¡ Õ€ÕžÖ Õ¯Õ¡ÖÕžÕ² Õ¥Õœ ÕšÕ¶Õ¿ÖÕ¥Õ¬\nÕ¹Õ¿Õ¥Õ²Õ¡Õ€ÖÕ¥Õ¬ Ghostscript-ÕšÖ
+
+Installing_Apache_Web_Server.displayText:Apache ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶
+Installing_Apache_Web_Server.explanatoryText:Greenstone Õ©ÕŸÕ¡ÕµÕ«Õ¶ Õ£ÖÕ¡Õ€Õ¡ÖÕ¡Õ¶Õ« Õ¢ÕžÕŸÕ¡Õ¶Õ€Õ¡Õ¯ÕžÖÕ©ÕµÕ¡Õ¶ ÕœÕºÕ¡ÕœÕ¡ÖÕ¯ÕŽÕ¡Õ¶ Õ°Õ¡ÕŽÕ¡Ö ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶ Õ§ Õ¡Õ¶Õ°ÖÕ¡ÕªÕ¥Õ·Õ¿Ö \nÔ²Õ¡Ö Õ¯ÕžÕ€Õ¥ÖÕžÕŸ Apache ÕŸÕ¥Õ¢ ÕœÕ¥ÖÕŸÕ¥ÖÕš ÕŽÕ¥Õ¯ Õ¡ÕµÕ€ÕºÕ«ÕœÕ« Ö
+ÖÕ«Õ¶Õ¡Õ¯ Õ§, Ö ÕžÖÕºÕ¥Õœ \nÕ¡ÕµÕœ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕŽÕ¡Õ¶ ÕŽÕ¡Õœ Õ¶Õ¡Õ­Õ¡ÕºÕ¥Õœ Õ±ÖÕ¡ÕŸÕžÖÕŸÕ¡Õ® Apache ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶Õš \n-- ÕºÕ¡Õ¿ÖÕ¡ÕœÕ¿ Õ¡Õ·Õ­Õ¡Õ¿Õ¡Õ¶ÖÕ« -- Õ¿Õ¥Õ²Õ¡Õ€ÖÕŸÕžÖÕŽ Õ§ Õ¥Õ©Õ¥ ÕšÕ¶Õ¿ÖÕ« Õ¡ÕµÕœ Õ°Õ¶Õ¡ÖÕ¡ÕŸÕžÖÕžÖÕ©ÕµÕžÖÕ¶ÕšÖ \nÔµÕ©Õ¥ Õ€ÕžÖ Õ¡ÖÕ€Õ¥Õ¶ ÕžÖÕ¶Õ¥Õœ Õ¡ÕŒÕ¯Õ¡ ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶ Õ¡ÕºÕ¡ Õ€ÕžÖ Õ¯Õ¡ÕžÕ² Õ¥Õœ \nÕšÕ¶Õ¿Õ¥Õ¬ Õ°Õ¥Õ¿ ÕšÕ¶Õ¿ÖÕ¥Õ¬ Õ¡ÕµÕœ Õ°Õ¶Õ¡ÖÕ¡ÕŸÕžÖÕžÖÕ©ÕµÕžÖÕ¶Õš ÕžÖ Õ­ÕžÖÕœÕ¡ÖÕ¥Õœ Õ¶Õ¡Õ­Õ¡ÕºÕ¥Õœ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕŸÕ¡Õ® \nÕ¿Õ¡ÖÕ¢Õ¥ÖÕ¡Õ¯Õ« Õ¿Õ¥Õ²Õ¡Õ€ÖÕžÖÕŽÕš, Õ«Õ¶Õ¹ÖÕ§ ÖÕ¥ÕŠ Õ°Õ¡ÖÕ¯ Õ¯Õ¬Õ«Õ¶Õ« Õ°Õ¡ÖÕŽÕ¡ÖÕ¥ÖÕ¶Õ¥Õ¬ Õ±ÖÕ¡ÕŸÕžÖÕŽÕ¡Õ¶ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕ«Õ¹Õ¶Õ¥ÖÕš \nÖÕž Õ¡ÕŒÕ¯Õ¡ ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶Õ« Õ°Õ¡ÕŽÕ¡Ö, Õ¯Õ¡ÕºÕ¥Õ¬ÕžÕŸ Greenstone Õ¡ÕµÕœ Õ¿Õ¥Õ²Õ¡Õ€ÖÕŽÕ¡Õ¶ Õ°Õ¥Õ¿Ö \nÔµÕ©Õ¥ ÕŸÕœÕ¿Õ¡Õ° Õ¹Õ¥Õœ Õ¡ÕµÕœ ÕšÕ¶Õ¿ÖÕžÖÕ©ÕµÕ¡Õ¶ ÕŸÕ¥ÖÕ¡Õ¢Õ¥ÖÕµÕ¡Õ¬ Õ­ÕžÖÕ°ÕžÖÖÕ€ Õ§ Õ¿ÖÕŸÕžÖÕŽ Õ©ÕžÕ²Õ¶Õ¥Õ¬ Õ¡ÕµÕ¶ ÕšÕ¶Õ¿ÖÕŸÕ¡Õ®, \nÖÕ¡Õ¶Õ« ÕžÖ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕŽÕ¡Õ¶ ÖÕ¡ÕµÕ¬Õš Õ¿Õ¥Õ²Õ¡Õ€ÖÕžÖÕŽ Õ§ Õ¡ÕµÕ¶ ÕžÖÕºÕ¥Õœ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕŽÕ¡Õ¶ Õ¬Õ¡ÕŸ ÕŸÕ¡ÕµÖ ÕœÕžÕŸÕžÖÕ¥Õ¬ÕžÖ Õ°Õ¡ÕŽÕ¡Ö \nÕ©Õ¥ Õ«Õ¶Õ¹ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕŽÕ¡Õ¶ Õ°Õ¶Õ¡ÖÕ¡ÕŸÕžÖÕžÖÕ©ÕµÕžÖÕ¶Õ¶Õ¥Ö Õ¥Õ¶ Õ£Õ¶ÕžÖÕŽ Õ¡ÕŒÕ¯Õ¡ ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶Ö
+
+Installing_Start_Menu_Shortcuts.displayText:ÕÕ¯ÕœÕ¥Õ¬ÕžÖ ÕšÕ¶Õ¿ÖÕ¡ÖÕ¡Õ¶Õ¯Õ« Õ¯Õ¡ÖÕ³ÕžÖÕ²Õ«Õ¶Õ¥Ö
+Installing_Start_Menu_Shortcuts.explanatoryText:ÕÕ¿Õ¥Õ²Õ®Õ«Ö Õ¯Õ¡ÖÕ³ÕžÖÕ²Õ«Õ¶Õ¥Ö Õ€Õ¥ÕºÕ« Greenstone@version.major@ ÖÕž ÕœÕ¯ÕœÕ¥Õ¬ÕžÖ ÕšÕ¶Õ¿ÖÕ¡ÖÕ¡Õ¶Õ¯Õ«ÖÖ
+
+Installing_Tomcat.displayText:Apache Tomcat (@bundled.version.tomcat@)
+Installing_Tomcat.explanatoryText:<html> Greenstone3-Õš ÕºÕ¡Õ°Õ¡Õ¶Õ»ÕžÖÕŽ Õ§ Apache Tomcat ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶ ÖÕž Õ©ÕŸÕ¡ÕµÕ«Õ¶ Õ£ÖÕ¡Õ€Õ¡ÖÕ¡Õ¶Õ«Õ¶ Õ®Õ¡ÕŒÕ¡ÕµÕ¥Õ¬ÕžÖ Õ°Õ¡ÕŽÕ¡Ö <br> ÕŸÕ¥Õ¢Õ« ÕŽÕ«Õ»ÕžÖÕžÕŸÖ ÔµÕ©Õ¥ Õ€ÕžÖ ÕžÖÕ¶Õ¥Õœ Õ¿Õ¥Õ²Õ¡Õ€ÖÕŸÕ¡Õ® Tomcat, Õ€ÕžÖ Õ¯Õ¡ÖÕžÕ² Õ¥Õœ Ö
+Õ£Õ¿Õ¡Õ£ÕžÖÕ®Õ¥Õ¬ Õ¡ÕµÕ€ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕžÖÕŽÕš <br> (ÕžÖÕžÕ· Õ±ÖÕ¡ÕŸÕžÖÕžÖÕŽÕ¶Õ¥Ö Õ¯ÕºÕ¡Õ°Õ¡Õ¶Õ»ÕŸÕ¥Õ¶), Õ¡ÕµÕœÕºÕ«ÕœÕžÕŸ Õ€ÕžÖ Õ¡ÕºÕ¡Õ°ÕžÕŸ Õ¯Õ¡ÖÕžÕ² Õ¥Õœ Õ¹Õ¿Õ¥Õ²Õ¡Õ€ÖÕ¥Õ¬ Õ¡ÕµÕœ Õ¢Õ¡Õ²Õ¡Õ€ÖÕ«Õ¹ÕšÖ </html>
+
+Installing_Ant.displayText:Apache Ant (@bundled.version.ant@)
+Installing_Ant.explanatoryText:<html> Greenstone3 ÕºÕ¡Õ°Õ¡Õ¶Õ»ÕžÖÕŽ Õ§ Apache Ant ÕžÖ Õ¡Õ·Õ­Õ¡Õ¿Õ¥ÖÕ¶Õ« Ö Õ¯Õ¡Õ¶Õ£Õ¶Õ¥ÖÕ¶Õ« Tomcat ÕŸÕ¥Õ¢ Õ¯Õ¡ÕµÕ¡Õ¶Õš, ÕŸÕ¥ÖÕ¡Õ£ÕžÖÕ®Õ¡ÖÕ¯Õ¥Õ¬ <br> Õ°Õ«ÕŽÕ¶Õ¡Õ¯Õ¡Õ¶ Õ¯ÕžÕ€Õš, Ö Õ¯Õ¡Õ¿Õ¡ÖÕ« ÕžÖÕžÕ· ÕžÖÕ²Õ¥Õ¯ÖÕŽÕ¡Õ¶ Õ¡ÕŒÕ¡Õ»Õ¡Õ€ÖÕ¡Õ¶ÖÕ¶Õ¥ÖÖ ÔµÕ©Õ¥ Õ€ÕžÖ Õ¡ÖÕ€Õ¥Õ¶ Õ¯Õ¡ÖÕ£Õ¡Õ¢Õ¥ÖÕ¥Õ¬ Õ¥Õœ Ant-Õš, <br> Õ€ÕžÖ Õ¯Õ¡ÖÕžÕ² Õ¥Õœ Õ¡Õ¶ÕŸÕ¿Õ¡Õ¶Õ£ ÕšÕ¶Õ¿ÖÕ¥Õ¬ Õ¹Õ¿Õ¥Õ²Õ¡Õ€ÖÕ¥Õ¬ Õ¡ÕµÕœ Õ¢Õ¡Õ²Õ¯Õ¡ÖÕžÖÖÕ«Õ¹ÕšÖ </html>
+
+Installing_Documented_Examples.displayText:ÕÕ¡ÕœÕ¿Õ¡Õ£ÖÕŸÕ¡Õ® Ö
+ÖÕ«Õ¶Õ¡Õ¯Õ¶Õ¥ÖÕ« Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ¶Õ¥Ö
+Installing_Documented_Examples.explanatoryText:ÕÖÕ«Õ¶Õ¡Õ¯Õ¥Õ¬Õ« Õ°Õ¡ÕŸÕ¡ÖÕ¡Õ®ÕžÖÕ¶Õ¥ÖÕ« Õ¢Õ¡ÕŠÕŽÕžÖÕ©ÕµÕžÖÕ¶, ÕžÖÕ« 'ÕŽÕ¡ÕœÕ«Õ¶' Õ§Õ»Õ¥ÖÕš Õ¶Õ¯Õ¡ÖÕ¡Õ£ÖÕžÖÕŽ Õ¥Õ¶ Õ«Õ¶Õ¹ÕºÕ¥Õœ Õ¥Õ¶ Õ€ÖÕ¡Õ¶Ö ÕœÕ¿Õ¥Õ²Õ®ÕŸÕ¥Õ¬Ö\n\nÔµÕ©Õ¥ Õ¶ÕžÖÕµÕ¶Õ«ÕœÕ¯ Õ€ÕžÖ Õ¹Õ¥Õœ Õ¿Õ¥Õ²Õ¡Õ€ÖÕ¥Õ¬ ÕÕ¡ÕœÕ¿Õ¡Õ£ÖÕŸÕ¡Õ® ÕÖÕ«Õ¶Õ¡Õ¯Õ¶Õ¥ÖÕš, Õ€ÕžÖ Õ¯Õ¡ÖÕžÕ² Õ¥Õœ Õ€ÖÕ¡Õ¶Ö Õ±Õ¥ÕŒÖ Õ¢Õ¥ÖÕ¥Õ¬ Õ¡ÕµÕœÕ¿Õ¥Õ²Õ«Ö\nhttp\://www.greenstone.org/ Õ¯Õ¡ÕŽ greenstone CD-Õ«ÖÖ
+
+### Admin password page
+
+admin-expl-2.displayText:ÔŽÕžÖ ÖÕ¡Õ¶Õ¯Õ¡Õ¶ÕžÖÕÕŽ Õ¥Õœ Õ©ÕžÖÕµÕ¬Õ¡Õ¿ÖÕ¥Õ¬ Greenstone-Õ« Õ¯Õ¡ÕŒÕ¡ÕŸÕ¡ÖÕŽÕ¡Õ¶ Õ§Õ»Õ¥ÖÕšÖ (ÕÕ¡Õ»ÕžÖÕ€ Õ§Õ»ÕžÖÕŽ ÖÕ¥ÕŠ Õ¯Õ¿ÖÕŸÕ« Õ£Õ¡Õ²Õ¿Õ¶Õ¡Õ¢Õ¡ÕŒÕ« Õ°Õ¡ÖÖ)Ö
+admin-expl-3.displayText:ÕÕÕÕÕ\: ÔµÕ©Õ¥ Õ€ÕžÖ Õ©ÕžÖÕµÕ¬Õ¡Õ¿ÖÕ¥Õœ Õ¯Õ¡ÕŒÕ¡ÕŸÕ¡ÖÕŽÕ¡Õ¶ Õ§Õ»Õ¥ÖÕš, Õ€ÖÕ¡Õ¶Ö Õ°Õ¡ÕœÕ¡Õ¶Õ¥Õ¬Õ« Õ¯Õ€Õ¡ÕŒÕ¶Õ¡Õ¶ Õ°Õ¡ÕŽÕ¡ÖÕ¡Õ¶ÖÕ«ÖÖ ÔžÕ¶Õ¿ÖÕ« Õ¡ÕºÕ¡Õ°ÕžÕŸ Õ£Õ¡Õ²Õ¿Õ¶Õ¡Õ¢Õ¡ÕŒ Õ€ÖÕ¡Õ¶Ö ÕºÕ¡Õ·Õ¿ÕºÕ¡Õ¶ÕžÖÕ©ÕµÕ¡Õ¶ Õ°Õ¡ÕŽÕ¡ÖÖ \n ÕÕÕÕÕ\: Ô¿Õ¡ÕŒÕ¡ÕŸÕ¡ÖÕŽÕ¡Õ¶ Õ§Õ»Õ¥ÖÕš Õ°Õ¥Õ¿Õž Õ¯Õ¡ÖÕžÕ² Õ¥Õ¶ Õ©ÕžÖÕµÕ¬Õ¡Õ¿ÖÕŸÕ¥Õ¬/Õ¡ÖÕ£Õ¥Õ¬Õ¡ÖÕ¡Õ¯ÕŸÕ¥Õ¬ Õ­ÕŽÕ¢Õ¡Õ£ÖÕ¥Õ¬ÕžÕŸ etc/main.cfg. ÔŽÕ«Ö Õ¯Õ¡ÖÕ£Õ¡ÕŸÕ«Õ³Õ¡Õ¯Õš Õ©ÕžÖÕµÕ¬Õ¡Õ¿ÖÕŸÕ¡Õ®/Õ¡ÖÕ£Õ¥Õ¬Õ¡ÖÕ¡Õ¯ÕŸÕ¡Õ®Ö Ô¿Õ¡ÕŒÕ¡ÕŸÕ¡ÖÕ¹Õ« Õ¶Õ¡Õ­Õ¶Õ¡Õ¯Õ¡Õ¶ Õ°Õ¡Õ·Õ«ÕŸ Õ£Õ¡Õ²Õ¿Õ¶Õ¡Õ¢Õ¡ÕŒÕžÕŸ Õ¯ÕœÕ¿Õ¥Õ²Õ®ÕŸÕ«Ö ÕÕ«Õ¡Õ¶Õ£Õ¡ÕŽÕ«Ö ÕœÕ¡ ÖÕžÕ­Õ«ÖÖ
+
+
+
+
+
+### Tomcat config page
+
+### Progress page
+
+### Uninstaller Strings
+
+
+
+
+
+### Ant-Installer Core strings
+
+
+#Default loading
+
+running:
+
+
+
+Finished:Ô±ÕŸÕ¡ÖÕ¿ÕŸÕ¥Ö
+Failed:ÕÕ¡Õ­ÕžÕ²ÕŸÕ¥Ö, Õ€Õ«Õ¿Õ«Ö ÕœÕ­Õ¡Õ¬Õ¶Õ¥ÖÕ« Õ°Õ¡Õ²ÕžÖÕ€ÕžÖÕŽÕ¶Õ¥ÖÕš
+
+
+#text install strings
+_required_:ÕºÕ¡Õ°Õ¡Õ¶Õ»ÕŸÕ¡Õ®
+_default_:Õ¬ÕŒÕ¡Õ¯ÕµÕ¡Ö
+#The value of 'affirmativeChars' comes from the first letters of "True" and "Yes"
+#The value of 'negativeChars' comes from the first letters of "False" and "No"
+#The value of backChar is the first letter "Back"
+#The value of nextChar is the first letter "Next"
+#In the next two properties, 'N' should be replaced the value of the 'nextChar' property