Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ar.properties	(revision 29825)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_ar.properties	(revision 29835)
@@ -1,3 +1,23 @@
 #***** IMAGE URLS *****
+expand_image:interfaces/__INTERFACE_NAME__/images/expand.png
+collapse_image:interfaces/__INTERFACE_NAME__/images/collapse.png
+page_image:interfaces/__INTERFACE_NAME__/images/page.png
+chapter_image:interfaces/__INTERFACE_NAME__/images/chapter.png
+realistic_books_image:interfaces/__INTERFACE_NAME__/images/rbook.png
+slideshow_image:interfaces/__INTERFACE_NAME__/images/slideshow.png
+highlight_image:interfaces/__INTERFACE_NAME__/images/hl.png
+bookshelf_image:interfaces/__INTERFACE_NAME__/images/bookshelf.png
+book_image:interfaces/__INTERFACE_NAME__/images/book.png
+loading_image:interfaces/__INTERFACE_NAME__/images/loading.gif
+page_icon_image:interfaces/__INTERFACE_NAME__/images/itext.gif
+trash_full_image:interfaces/__INTERFACE_NAME__/images/trash-full.png
+trash_empty_image:interfaces/__INTERFACE_NAME__/images/trash-empty.png
+blank_image:interfaces/__INTERFACE_NAME__/images/blankImage.png
+next_image:interfaces/__INTERFACE_NAME__/images/next.png
+prev_image:interfaces/__INTERFACE_NAME__/images/previous.png
+zoom_image:interfaces/__INTERFACE_NAME__/images/zoom.png
+left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
+float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
+green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
 
 #***** TEXT FRAGMENTS *****
@@ -6,4 +26,11 @@
 ÙØªØšØ© Ø§ÙØ±ÙÙ
 ÙØ© Greenstone
+gs3power:ÙØ§ÙÙ
+Ø¯Ø¹ÙÙ
+ Ù
+Ù Ø¬Ø±ÙÙØ³ØªÙÙ3
+error:Ø®Ø·Ø£:
+hide_error:Ø¥Ø®ÙØ§Ø¡ Ø®Ø·Ø£
+show_error:Ø¥ØžÙØ§Ø± Ø®Ø·
 # the buttons
 home_b:Ø§ÙØ±ØŠÙØ³ÙØ©
@@ -11,4 +38,8 @@
 Ø³Ø§Ø¹Ø¯Ø©
 pref_b:Ø§ÙØ®ÙØ§Ø±Ø§Øª
+debuginfo_b:Ù
+Ø¹ÙÙÙ
+Ø§Øª ØªØµØ­ÙØ­
+login_b:Ø¯Ø®ÙÙ
 # tool tips for the buttons
 home_tip:Ø§ÙØµÙØ­Ø© Ø§ÙØ±ØŠÙØ³ÙØ©
@@ -16,24 +47,74 @@
 Ø³Ø§Ø¹Ø¯Ø©
 pref_tip:ØªØºÙÙØ± Ø§ÙØ®ÙØ§Ø±Ø§Øª
+debuginfo_tip:Ø¹Ø±Ø¶ Ø®ÙØ§Ø±Ø§Øª Ù
+ØŽÙØ¯ Ø§ÙØªØµØ­ÙØ­
+login_tip:Ø¯Ø®ÙÙ
 aboutpage:Ø¹Ù ÙØ°Ù Ø§ÙÙ
 Ø¬Ù
 ÙØ¹Ø©
+home.quick_search:ØšØ­Ø« Ø³Ø±ÙØ¹
+home.librarian_interface:ÙØ§Ø¬ÙØ© Ø§ÙÙ
+ÙØªØšÙ
+home.select_a_collection:Ø§Ø®ØªÙØ§Ø± Ù
+Ø¬Ù
+ÙØ¹Ø©
+home.no_collections:ÙØ°Ù Ø§ÙÙ
+ÙØªØšØ© ÙØ§ ÙÙØ¬Ø¯ ØšÙØ§ Ù
+Ø¬Ù
+ÙØ¹Ø§Øª ØµØ§ÙØ­Ø©
 
 ######################
 # system page
 #######################
+system.title:Ø·ÙØš ÙØžØ§Ù
+
 ######################
 # about page
 #######################
+about.noservices:ÙØ§ ØªÙØ¬Ø¯ Ø§ÙØ®Ø¯Ù
+Ø§Øª Ø§ÙÙ
+ØªØ§Ø­Ø© ÙÙØ°Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©
+about.services:Ø®Ø¯Ù
+Ø§Øª Ø¥Ø¶Ø§ÙÙØ© Ù
+ØªØ§Ø­Ø©
+about.servicehelp:ÙÙ
+ÙÙÙ Ø§ÙÙØµÙÙ Ø¥ÙÙ Ø§ÙØ®Ø¯Ù
+Ø§Øª Ù
+Ù Ø®ÙØ§Ù Ø§ÙÙÙØ± Ø¹ÙÙ Ø§ÙØ£Ø²Ø±Ø§Ø± Ø£Ø¯ÙØ§Ù Ø£Ù Ø¹ÙÙ Ø§ÙØ£Ø³Ù
+Ø§Ø¡ Ø¹ÙÙ ØŽØ±ÙØ· Ø§ÙØªØ¬ÙØ§Ù.ÙØªÙÙØ± ØŽØ±ÙØ· Ø§ÙØªØ¬ÙØ§Ù  ÙÙ ØµÙØ­Ø§Øª Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©
 
 #######################
 # query page
 ########################
+query:ØšØ­Ø«
 query.nodocsmatch:ÙØ§ ØªÙØ¬Ø¯ ÙØ«Ø§ØŠÙ ØªØ·Ø§ØšÙ Ø§ÙØšØ­Ø«
 query.onedocsmatch:ÙØ«ÙÙØ© ÙØ§Ø­Ø¯Ø© ØªØ·Ø§ØšÙ Ø§ÙØšØ­Ø«
+query.manydocsmatch:{0-numdocs} {1-level-plural} ØªØ¶Ø§ÙÙ Ø§ÙØ§Ø³ØªÙØ³Ø§Ø±
+query.atleastdocsmatch:Ø¹ÙÙ Ø§ÙØ§ÙÙ {0-numdocs} {1-level-plural} ÙØ¶Ø§ÙÙ Ø§ÙØ§Ø³ØªÙØ³Ø§Ø±.
+query.docsreturned:{0-numdocs} Ø¹Ø§Ø¯Øª {1-level-plural}
+
+query.termoccurs.1.1:{0-term}  ÙØ­Ø¯Ø« {1-termfreq}
+query.termoccurs.x.1:{0-term}  ÙØ­Ø¯Ø« {1-termfreq}
+query.termoccurs.x.x:{0-term}  ÙØ­Ø¯Ø« {1-termfreq}
+query.termSectionFreq:ÙÙ {0-numdocs} {1-level-plural}
+query.document:ÙØ«ÙÙØ©
+query.document_plural:ÙØ«ÙÙØ©
+query.section:ÙØ³Ù
+
+query.section_plural:Ø§ÙØ³Ø§Ù
 
 
 # eg Displaying 1 to 20 of 42 sections/documents
-
+query.displayingnumdocs:Ø¹Ø±Ø¶ {0-startnum} Ø¥ÙÙ {1-endnum} Ù
+Ù {2-totalnum} {3-level-plural}
+
+query.common:Ø§ÙÙ
+ØµØ·ÙØ­Ø§Øª Ø§ÙØªØ§ÙÙØ© ØŽØ§ØŠØ¹Ø© Ø¬Ø¯Ø§ ÙØªÙ
+ Ø§Ø³ØªØšØ¹Ø§Ø¯ÙØ§ Ù
+Ù Ø§ÙØšØ­Ø«
 
 ##################
@@ -47,14 +128,66 @@
  Ø§ÙØªØ±Ù
 ÙØ²
+pref.hitsperpage:Ø¹Ø¯Ø¯ Ø§ÙØµÙØ§ØŠØš ÙÙ Ø§ÙØµÙØ­Ø©
+pref.maxDocs:Ø§ÙØ­Ø¯ Ø§ÙØ§ÙØµÙ ÙØ¹Ø¯Ø¯ Ø§ÙÙØ«Ø§ØŠÙ
 pref.all:ÙÙ
 pref.set_prefs:Ø¶ØšØ· Ø§ÙØ®ÙØ§Ø±Ø§Øª
+pref.set_prefs_help:Ø§ÙÙØ± ÙÙÙ" "ØªØ¹ÙÙÙ ØªÙØ¶ÙÙØ§Øª" "Ø¥Ø°Ø§ ÙÙØª ØªØ±ÙØ¯ Ø­ÙØž Ø§ÙØªØºÙÙØ±Ø§Øª
+pref.berrybasket:Ø³ÙØ© ØšÙØ±Ù
+pref.berrybasket.on:on
+pref.berrybasket.off:Ø¥ÙÙØ§Ù
+pref.book:Ø¹Ø±Ø¶ Ø¹ÙÙ ØŽÙÙ ÙØªØ§Øš
+pref.formatedit:ØŽÙÙ Ø³ÙØ§Ù Ø§ÙØªØ­Ø±ÙØ±
+pref.formatedit.on:on
+pref.formatedit.off:Ø§ÙÙØ§Ù
+pref.theme:Ø§ÙØ«ÙÙ
+Ø© Ø§ÙØšØµØ±ÙØ©
 
 ##################
 # document page
 ##################
-
-
-
-
+doc.loading:ØªØ­Ù
+ÙÙ
+doc.filter_pages:ØªØ±ØŽÙØ­ Ø§ÙØµÙØ­Ø§Øª
+
+doc.edit_content:ØªØ­Ø±ÙØ± Ø§ÙÙ
+Ø­ØªÙÙ
+doc.hide_editor:Ø¥Ø®ÙØ§Ø¡ Ù
+Ø­Ø±Ø±
+doc.edit_structure:ØªØ­Ø±ÙØ± Ø§ÙÙÙÙÙ
+
+doc.highlightTooltip:ØªÙ
+ÙÙÙ Ø£Ù ØªØ¹Ø·ÙÙ Ø§Ø¶Ø§Ø¡Ø© Ù
+ØµØ·ÙØ­ Ø§ÙØšØ­Ø«
+doc.realisticBooksTooltip:ØªÙ
+ÙÙÙ Ø£Ù ØªØ¹Ø·ÙÙ ØŽÙÙ Ø¹Ø±Ø¶ Ø§ÙÙØªØ§Øš
+doc.zoomTooltip:ØªÙ
+ÙÙÙ Ø£Ù ØªØ¹Ø·ÙÙ ØªÙØšÙØ± Ø§ÙØµÙØ±  ÙÙ Ø·Ø±ÙÙØ© Ø§ÙØ¹Ø±Ø¶ Ø§ÙÙÙØ§Ø³ÙØ©
+doc.slideshowTooltip:Ø¹Ø±Ø¶ ØŽØ±Ø§ØŠØ­ Ø§ÙØµÙØ±
+doc.floatingTooltip:Ø§ØµÙØ§Ø­ Ø¬Ø¯ÙÙ Ø§ÙÙ
+Ø­ØªÙÙØ§Øª Ø¥ÙÙ Ø§ÙØ¬Ø§ÙØš Ø§ÙØ£ÙÙ
+Ù Ù
+Ù Ø§ÙØŽØ§ØŽØ©
+
+doc.document:ÙØ«ÙÙØ©
+doc.back_to_top:Ø§ÙØ¹ÙØ¯Ø© Ø¥ÙÙ Ø§Ø¹ÙÙ
+
+doc.maps.nearby_docs:Ø¥ØžÙØ§Ø± Ø§ÙÙØ«Ø§ØŠÙ ØšØ§ÙÙØ±Øš Ù
+Ù ÙÙØ§
+maps.scrolllabel:Ø§ÙØªÙÙ Ù
+Ù Ø®ÙØ§Ù Ø£Ù
+Ø§ÙÙ
+
+external.title:Ø±Ø§ØšØ· Ø®Ø§Ø±Ø¬Ù
+external.text:Ø¥Ù Ø§ÙØ±Ø§ØšØ· Ø§ÙØ°Ù Ø§Ø®ØªØ±ØªÙ ÙÙ Ø®Ø§Ø±Ø¬Ù Ø¥ÙÙ Ø£Ù Ù
+Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª Ø§ÙÙ
+Ø®ØªØ§Ø±Ø© Ø§ÙØ®Ø§ØµØ© ØšÙ Ø­Ø§ÙÙØ§. Ø¥Ø°Ø§ ÙÙØª ÙØ§ ØªØ²Ø§Ù ØªØ±ØºØš ÙÙ Ø¹Ø±Ø¶ ÙØ°Ø§ Ø§ÙØ±Ø§ØšØ· ÙØ§ÙÙ
+ØªØµÙØ­ Ø§ÙØ®Ø§Øµ ØšÙ ÙØ¯ÙÙ Ø­Ù Ø§ÙÙØµÙÙ Ø¥ÙÙ Ø§ÙÙÙØšØ ÙÙ
+ÙÙÙ {0-go-forward-link} ÙÙ ÙØ°Ù Ø§ÙØµÙØ­Ø©: Ø§Ù ØºÙØ± Ø°ÙÙ Ø§Ø³ØªØ®Ø¯Ø§Ù
+ Ø²Ø± Ø§ÙÙ
+ØªØµÙØ­Ø§Øª " Ø§ÙØ¹ÙØ¯Ø© "  ÙÙØ¹ÙØ¯Ø© Ø¥ÙÙ Ø§ÙÙØ«ÙÙØ© Ø§ÙØ³Ø§ØšÙØ©
+external.go_forward:Ø§ÙÙ Ø§ÙØ§Ù
+Ø§Ù
 
 
@@ -63,4 +196,67 @@
 # authentication page
 ##################
+authen.username:Ø§Ø³Ù
+ Ø§ÙÙ
+Ø³ØªÙÙØ¯
+authen.page_not_found:Ø§ÙØµÙØ­Ø© ØºÙØ± Ù
+ÙØ¬ÙØ¯Ø©
+authen.submit:Ø§Ø±Ø³Ø§Ù
+authen.error_failed_to_add:Ø®Ø·Ø£: ÙØŽÙ ÙÙ Ø¥Ø¶Ø§ÙØ© Ø§ÙÙ
+Ø³ØªÙÙØ¯
+authen.user_added_success:Ø£Ø¶Ø§ÙØ© Ù
+Ø³ØªÙÙØ¯ ØšÙØ¬Ø§Ø­
+authen.status:Ø§ÙØ­Ø§ÙØ©
+authen.password:ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ±
+authen.account_status:Ø­Ø§ÙØ© Ø§ÙØ­Ø³Ø§Øš
+authen.enabled:ØªÙ
+ÙÙÙ
+authen.disabled:Ù
+Ø¹Ø·Ù
+authen.groups:Ù
+Ø¬Ù
+ÙØ¹Ø§Øª
+authen.add_group:Ø¥Ø¶Ø§ÙØ© Ù
+Ø¬Ù
+ÙØ¹Ø©
+authen.comment:ØªØ¹ÙÙÙ
+authen.email:Ø¹ÙÙØ§Ù Ø§ÙØšØ±ÙØ¯ Ø§ÙØ¥ÙÙØªØ±ÙÙÙ
+authen.add_a_new_user_title:Ø¥Ø¶Ø§ÙØ© Ù
+Ø³ØªÙÙØ¯ Ø¬Ø¯ÙØ¯
+authen.old_password:ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± Ø§ÙÙØ¯ÙÙ
+Ø©
+authen.new_password:ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± Ø§ÙØ¬Ø¯ÙØ¯Ø©
+authen.retype_password:Ø£Ø¹Ø¯ ÙØªØ§ØšØ© ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ±
+authen.edit_user_information:ØªØ­Ø±ÙØ± Ù
+Ø¹ÙÙÙ
+Ø§Øª Ø§ÙÙ
+Ø³ØªÙÙØ¯
+authen.list_of_current_users_title:ÙØ§ØŠÙ
+Ø© Ø§ÙÙ
+Ø³ØªÙÙØ¯ÙÙ Ø§ÙØ­Ø§ÙÙÙÙ
+authen.delete_warning:ÙÙ Ø£ÙØª Ù
+ØªØ£ÙØ¯ Ù
+Ù Ø£ÙÙ ØªØ±ÙØ¯ Ø­Ø°Ù Ø§ÙÙ
+Ø³ØªÙÙØ¯
+authen.edit:ØªØ­Ø±ÙØ±
+authen.delete:Ø­Ø°Ù
+authen.authentication:ØµÙØ­Ø© Ø§ÙØ¥Ø¯Ø§Ø±Ø©
+authen.add_a_new_user:Ø¥Ø¶Ø§ÙØ© Ù
+Ø³ØªÙÙØ¯ Ø¬Ø¯ÙØ¯
+authen.register:ØªØ³Ø¬ÙÙ
+authen.account_settings:Ø¥Ø¹Ø¯Ø§Ø¯Ø§Øª Ø§ÙØ­Ø³Ø§Øš
+authen.change_password:ØªØºÙÙØ± ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ±
+authen.reset_password:Ø¥Ø¹Ø§Ø¯Ø© ØªØ¹ÙÙÙ ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ±
 
 
@@ -69,2 +265,13 @@
 # Document basket #
 ###################
+db.doc_basket:Ø³ÙØ© ÙØ«ÙÙØ©
+db.access_denied:ØªÙ
+ Ø±ÙØ¶ Ø§ÙÙØµÙÙ
+db.no_collection_building:ÙØ§ ÙÙ
+ÙÙÙ Ø§Ø³ØªØ®Ø¯Ø§Ù
+ ÙØ°Ù Ø§ÙÙ
+ÙØ²Ø© Ù
+Ù Ø¬Ø±ÙÙØ³ØªÙÙ Ø§Ø°Ø§ ÙÙ
+ ØªÙÙ ÙØ¯ ÙØ¹ÙØª ØšÙØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø©