Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_ar.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_ar.properties	(revision 26581)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_ar.properties	(revision 29836)
@@ -0,0 +1,147 @@
+# This properties file is for the secondary text strings, not the main stuff
+##################
+# help page
+##################
+
+
+
+#############################
+# Document structure editor #
+#############################
+dse.no_docs:ÙØ§ ØªÙØ¬Ø¯ Ø£Ù ÙØ«Ø§ØŠÙ ÙÙ Ø³ÙØ© ÙØ«ÙÙØ©
+dse.untitled:ÙØ³Ù
+ ØšØ¯ÙÙ Ø¹ÙÙØ§Ù
+dse.delete_section:Ø­Ø°Ù ÙØ³Ù
+
+dse.edit:ØªØ­Ø±ÙØ±
+dse.hide:Ø§Ø®ÙØ§Ø¡
+dse.add_sub_section:Ø¥Ø¶Ø§ÙØ© ÙØ³Ù
+ ÙØ±Ø¹Ù
+dse.duplicate:Ù
+ÙØ±Ø±
+dse.error_saving:ÙØ§Ù ÙÙØ§Ù Ø®Ø·Ø£ Ø£Ø«ÙØ§Ø¡ Ø§ÙØ­ÙØžØ Ø§Ø¬ÙØ§Ø¶
+dse.save_changes:Ø­ÙØž Ø§ÙØªØºÙÙØ±Ø§Øª
+dse.saving:Ø­ÙØž
+dse.modifying_archives:ØªØ¹Ø¯ÙÙ Ù
+ÙÙØ§Øª Ø§ÙØ£Ø±ØŽÙÙ
+dse.empty_collection_list:ÙØ§ØŠÙ
+Ø© Ù
+Ø¬Ù
+ÙØ¹Ø§Øª ÙÙØšÙØ§Ø¡ ÙØ§Ø±ØºÙ
+dse.could_not_build_p1:ÙØ§ ÙÙ
+ÙÙ ØšÙØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø©
+dse.could_not_build_p2:Ø§Ø¬ÙØ§Ø¶ Ø¹Ù
+ÙÙØ© Ø§ÙØšÙØ§Ø¡
+dse.could_not_activate_p1:ÙØ§ ÙÙ
+ÙÙ ØªÙØŽÙØ· Ù
+Ø¬Ù
+ÙØ¹Ø©
+dse.could_not_activate_p2:Ø§Ø¬ÙØ§Ø¶ Ø¹Ù
+ÙÙØ© Ø§ÙØªÙØŽÙØ·
+dse.activating:ØªÙØŽÙØ· Ù
+Ø¬Ù
+ÙØ¹Ø©
+dse.building:ØšÙØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø©
+dse.could_not_check_status_p1:ÙØ§ ÙÙ
+ÙÙ Ø§ÙØªØ­ÙÙ Ù
+Ù Ø­Ø§ÙØ©
+dse.could_not_check_status_p2a:ÙØ§Ù ÙÙØ§Ù Ø®Ø·Ø£ ÙÙ XMLØ Ø§Ø¬ÙØ§Ø¶ Ø§ÙØ¹Ù
+ÙÙØ©
+dse.could_not_check_status_p2b:ÙØ§Ù ÙÙØ§Ù Ø®Ø·Ø£ ÙÙ Ø§ÙÙ
+Ø²ÙØ¯ Ø Ø§Ø¬ÙØ§Ø¶ Ø§ÙØ¹Ù
+ÙÙØ©.
+dse.error_saving_changes:ÙØ§Ù ÙÙØ§Ù Ø®Ø·Ø£ ÙÙ Ø­ÙØž Ø§ÙØªØºÙÙØ±Ø§Øª
+dse.error_code:ÙÙØ¯ Ø§ÙØ®Ø·Ø£
+dse.error_reason:Ø³ØšØš Ø§ÙØ®Ø·Ø£
+dse.error_line:Ø³Ø·Ø± Ø§ÙØ®Ø·Ø£
+dse.xml_error:ÙØ§Ù ÙÙØ§Ù Ø®Ø·Ø£ ÙÙ ØªØ­ÙÙÙ XML
+dse.browse_cannot_validate_xml:ÙØ§ ÙÙ
+ÙÙ ÙÙ
+ØªØµÙØ­Ù Ù
+Ø¹Ø§ÙØ¬Ø© Ø§ÙØªØ­ÙÙ Ù
+Ù ØµØ­Ø© XML
+dse.add_new_metadata:Ø¥Ø¶Ø§ÙØ© ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª Ø¬Ø¯ÙØ¯
+dse.no_value_given:ÙÙ
+ ØªØ¹Ø·Ù ÙÙÙ
+Ø© Ù
+Ø¹ÙÙØ© ÙØ§Ø³Ù
+ ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª Ø§ÙØ¬Ø¯ÙØ¯
+dse.create_new_document:Ø¥ÙØŽØ§Ø¡ ÙØ«ÙÙØ© Ø¬Ø¯ÙØ¯Ø©
+dse.untitled_section:ÙØ³Ù
+ ØšØ¯ÙÙ Ø¹ÙÙØ§Ù
+dse.insert_new_section:Ø¥Ø¯Ø±Ø§Ø¬ ÙØ³Ù
+ Ø¬Ø¯ÙØ¯
+
+###################
+# DebugInfo  #
+###################
+debuginfo.usage:Ø¹ÙØ¯Ù
+Ø§ ØªØµØ­ÙØ­ XSLTØ ÙÙ
+ÙÙÙ Ø¥ÙØ­Ø§Ù Ø£Ù Ù
+Ù Ø§ÙØªØ§ÙÙ Ø¥ÙÙ URL (Ù
+Ø³ØšÙÙ Øš a & Ø§Ù ? Ø­Ø³Øš Ø§ÙØ§ÙØªØ¶Ø§Ø¡) ÙØ±Ø€ÙØ© XML ÙØ³ÙØ· Ù
+ÙØªØ¬.
+debuginfo.xml:ÙØ¹Ø±Ø¶ Ø§ÙÙ
+Ø¹ÙÙÙ
+Ø§Øª Ø§ÙØ®Ø§Ù
+ Ø§ÙÙØ§Ø¯Ù
+Ø© Ù
+Ù Ø±Ø§ÙØªØ± Ø§ÙØ±Ø³Ø§ÙØ©
+debuginfo.xmlfinal:Ø¹Ø±Ø¶ Ø§ÙÙ
+Ø¹ÙÙÙ
+Ø§Øª Ø§ÙÙØ§Ø±Ø¯Ø© Ù
+Ù ÙØ§ÙØªØ± Ø±Ø³Ø§ÙØ© ØšØ¹Ø¯ ØªÙ
+Ø±ÙØ± config_format Ø§ÙØ«Ø§ÙÙ
+debuginfo.skindoc:Ø±Ø¯Ø§Ø¡  XSL Ù
+ØšØ³Ø· Ù
+Ø¹ ØŽÙÙ Ø¹Ø±Ø¶ Ø¬Ø±ÙÙØ³ØªÙÙ Ù
+ÙØ³Ø¹ Ù
+ÙØ­Ù
+debuginfo.skinandlib:ÙØ«ÙÙØ© XML Ù
+Ø¹ Ø¹ÙØµØ± Ø¬Ø°Ø± ÙØ³Ù
+Ù skinAndLibraryXsl ÙØ§Ø«ÙÙÙ Ù
+Ù Ø§ÙÙ
+ÙÙØ§Øª Ø§ÙÙ
+ÙØ­ÙØ© skinXsl ÙlibraryXsl .ÙÙ
+ÙÙ libraryXslØ Ø§ÙØ°Ù ÙØªØ¶Ù
+Ù ØšØ§ÙÙØ¹Ù util.xslØ ÙÙ Ù
+Ø¬Ø±Ø¯ Ø¥ÙØ­Ø§Ù
+debuginfo.skinandlibdoc:Ø¥Ù ÙØªÙØ¬Ø© ØªØ·ØšÙÙ preprocess.xsl Ø¥ÙÙ skinandlib ØªÙØªØ¬ ÙØ°Ù Ø§ÙØ£ÙÙ
+Ø§Ø· Ø§ÙØªÙ ÙÙ ÙØ«ÙÙØ© XSL ÙÙØ§ØŠÙØ© ÙØ§ÙØªÙ Ø³ÙØªÙ
+ ØªØ·ØšÙÙÙØ§ Ø¹ÙÙ ØšÙØ§ÙØ§Øª XML Ø¹Ø§Ø¯Øª  Ù
+Ù Ø¬ÙØ§Ø² ØªÙØ¬ÙÙ Ø§ÙØ±Ø³Ø§ÙØ©
+debuginfo.formatedit:Ù
+Ø­Ø±Ø± Ø§Ø¬ÙØ© Ø§ÙÙÙØš ÙØªØ­Ø±ÙØ± ØŽÙÙ Ø¹Ø±Ø¶ Ø§ÙØšÙØ§ÙØ§Øª ÙÙ Ø¬Ø±ÙÙØ³ØªÙÙ3
+debuginfo.refreshconfig:ØªØ­Ø¯ÙØ« ÙÙ Ù
+ÙÙØ§Øª Ø§Ø¹Ø¯Ø§Ø¯ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©:
+debuginfo.reconfigsite:Ø§Ø¹Ø§Ø¯Ø© ØªÙÙÙÙ ÙÙ Ø§ÙÙ
+ÙÙØ¹ . ÙÙØ±Ø£ ÙÙ siteConfig.xmlØ ÙØ¹ÙØ¯ ØªØ­Ù
+ÙÙ ÙÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª
+debuginfo.depositor:Ù
+Ø³ØªÙØ¯Ø¹ ØšØ±ÙØ§Ù
+Ø¬ Ø¬Ø±ÙÙØ³ØªÙÙ 3 : Ø£Ø¯ÙØ§Øª Ø§ÙØ®Ø· Ø§ÙÙ
+ØšØ§ØŽØ± Ø§ÙØªÙ ØªØ³Ù
+Ø­ ØšØ§Ø¶Ø§ÙØ©Ø Ø£Ù Ø¥ÙØ¯Ø§Ø¹ Ù
+ÙÙØ§Øª Ø¬Ø¯ÙØ¯Ø©  Ù
+Ø¹ ÙØ§ØµÙØ§Øª Ø§ÙØšÙØ§ÙØ§Øª Ø§ÙØ®Ø§ØµØ© ØšÙØ§ Ø¥ÙÙ Ù
+Ø¬Ù
+ÙØ¹Ø© Ù
+ÙØ¬ÙØ¯Ø©. ÙÙ
+Ù Ø«Ù
+ ÙÙ
+ÙÙ Ø¥Ø¹Ø§Ø¯Ø© ØšÙØ§Ø¡ ÙØ°Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© Ø¹ÙÙ Ø§ÙØ®Ø· Ø§ÙÙ
+ØšØ§ØŽØ±.
+debuginfo.inlinetemplate:ÙØ§ÙØš Ù
+Ø¶Ù
+Ù. Ø§Ø·ØšØ¹ Ø§ÙØ§ÙØµÙ XSLT ÙÙØ§.
+debuginfo.displaymetadata:Ø¹Ø±Ø¶ ÙØ§ØµÙØ§Øª ØšÙØ§ÙØ§Øª